Subject: [Lime] Long-lived vs. Short-lived [draft-kumar-lime-yang-connectionless-oam-03 - Generic YANG Data Model for Connection Less Operations, Administration, and Maintenance(OAM) protocols]

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 27 May 2016 14:34:54 +0000

Hi,

During the Interim #2 today, we discussed various areas of terminology. One of them is the use of “long-lived” at https://tools.ietf.org/html/draft-kumar-lime-yang-connectionless-oam-03#section-3

Ron suggested that a traceroute can be “long-lived” if it’s waiting on a long timeout. Instead of “long-lived”, Ron suggested we use “on-demand” vs. “continuous".

I checked various places and RFC 7276 uses “proactive” vs. “on-demand” as follows:
https://tools.ietf.org/html/rfc7276#section-2.2.6

S-BFD uses “persistent” vs. “when needed” (or “stateful vs. stateless”):
https://tools.ietf.org/html/draft-ietf-bfd-seamless-base-11#section-7.3.1

I suggest we use “on-demand” vs. “continuous” or “persistent”.

Thanks,

— Carlos.

---

From: Qin Wu <[email-masked]>
Date: Sat, 28 May 2016 01:31:02 +0000

The proposed change sounds reasonable to me. Support!

-Qin
-----邮件原件-----
发件人: Lime [mailto:[email-masked]] 代表 Carlos Pignataro (cpignata)
发送时间: 2016年5月27日 22:35
收件人: [email-masked]
主题: [Lime] Long-lived vs. Short-lived [draft-kumar-lime-yang-connectionless-oam-03 - Generic YANG Data Model for Connection Less Operations, Administration, and Maintenance(OAM) protocols]

Hi,

Thanks,

— Carlos.
_______________________________________________
Lime mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/lime

---

From: Huub van Helvoort <[email-masked]>
Date: Sat, 28 May 2016 16:11:25 +0200

In the scope of OAM the terminology that is normallt y used is:

= proactive - for monitoring the performance of a connection, and based
   on the performance consequent actions are taken.
   Proactive OAM is instatiated together with the connection.

= on-demand - for diagnostics, fault localisation, verifying performance
   On-demand OAM is instantiated when a fault has been detected by the
   proactive OAM.

Best regards, Huub.

-- 
================================================================
Always remember that you are unique...just like everyone else...

---

From: Gregory Mirsky <[email-masked]>
Date: Sat, 28 May 2016 18:02:24 +0000

Hi,
concur with Huub. Note, that the same method, i.e. ping, may be used as proactive and on-demand. Ping may be used to proactively measure availability or on-demand to verify continuity of a path between NEs.

	Regards,
		Greg

-----Original Message-----
From: Lime [mailto:[email-masked]] On Behalf Of Huub van Helvoort
Sent: Saturday, May 28, 2016 7:11 AM
To: Qin Wu; Carlos Pignataro (cpignata); [email-masked]
Subject: Re: [Lime] Long-lived vs. Short-lived [draft-kumar-lime-yang-connectionless-oam-03 - Generic YANG Data Model for Connection Less Operations, Administration, and Maintenance(OAM) protocols]

Best regards, Huub.

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Sat, 28 May 2016 23:03:46 +0000

Sounds good. 

My initial reservation was the potential implication of proactive be tied to an action and not only a test. 

But I agree, let's use RFC 7276 Section 2.2.6

Thanks!

Thumb typed by Carlos Pignataro.
Excuze typofraphicak errows

> On May 28, 2016, at 14:02, Gregory Mirsky <[email-masked]> wrote:
> 
> Hi,
>> ― Carlos.

---

From: Qin Wu <[email-masked]>
Date: Mon, 30 May 2016 01:35:02 +0000

Good clarification on the term scope, Huub,
I tend to agree with you, thanks.

-Qin
-----邮件原件-----
发件人: Huub van Helvoort [mailto:[email-masked]] 
发送时间: 2016年5月28日 22:11
收件人: Qin Wu; Carlos Pignataro (cpignata); [email-masked]
主题: Re: [Lime] Long-lived vs. Short-lived [draft-kumar-lime-yang-connectionless-oam-03 - Generic YANG Data Model for Connection Less Operations, Administration, and Maintenance(OAM) protocols]

Best regards, Huub.